{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block body %}

    {% block moreCss %}
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Teman Tryout
        {% endblock %}

        {% block menuBar %}
            <a href="{{ path('history-tryout') }}"><i class="mdi mdi-history f14"></i> </a>
        {% endblock %}

    {% endembed %}

    {#    Tagihan#}
    <section class="container-fluid mt-1" id="content">

        <div style="height: 2em"></div>
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

    <script>

        function fetchData(data){
            console.log("FETCH DATA", data);
            let link = '{{ path('pilihSoalTryout', {cat : 0}) }}';
            data.forEach(function(data, key){
                console.log("KEY", key);
                console.log("single Data", data);
                var nlink = link.replace("0", data['id']);
                $("#content").append('<a class="d-block t-black" href="'+ nlink +'" >\n' +
                '            <div class="gen-card mt-2">\n' +
                '                <img src="'+ data['icon'] +'" class="w-100"\n' +
                '                     style=" border-radius: 15px 15px 0 0 ">\n' +
                '                <div class="d-flex p-3">\n' +
                '                    <p class="flex-grow-1 font-weight-bold mb-0">' + data['name'] +'</p>\n' +
                '                    <i class="mdi mdi-chevron-right f14"></i>\n' +
                '                </div>\n' +
                '            </div>\n' +
                '        </a>');
            })
        }
    </script>

    {{ f.ajaxCall("fetchData", path("pilihTryoutApi"), "GET") }}

{% endblock %}